package com.yanzhu.jh.work.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 文件访问用户记录对象 work_file_user_log
 * 
 * @author JiangYuQi
 * @date 2023-10-22
 */
public class WorkFileUserLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户访问文件主键 */
    @Excel(name = "用户访问文件主键")
    private Long fileUserId;

    /** 访问时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "访问时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFileUserId(Long fileUserId) 
    {
        this.fileUserId = fileUserId;
    }

    public Long getFileUserId() 
    {
        return fileUserId;
    }
    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileUserId", getFileUserId())
            .append("time", getTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
